#ifndef EXECUTIONRESULT_H
#define EXECUTIONRESULT_H


class ExecutionResult
{
private:

    /**
     * @brief tiempo transcurrido durante la generación de clave
     */
    int keyGenerationTime;

    /**
     * @brief tiempo transcurrido durante el cifrado
     */
    int encryptionTime;

    /**
     * @brief tiempo transcurrido durante el descifrado
     */
    int decryptionTime;


public:
    ExecutionResult();

    ExecutionResult(ExecutionResult& e);

    ExecutionResult(int k, int e, int d);

    ~ExecutionResult();


    void setKeyGenerationTime(int t);


    void setKeyEncryptionTime(int t);


    void setKeyDecryptionTime(int t);

    int getKeyGenerationTime();

    int getEncryptionTime();

    int getDecryptionTime();


};

#endif // EXECUTIONRESULT_H
